Skip to main content
POST
Add a other ingredient

Authorizations

X-API-Key
string
header
required

An API key created from a signed-in session. See Authentication.

Path Parameters

recipeId
string<uuid>
required

Recipe to add to

Body

application/json
name
string
required

Ingredient name, e.g. "Irish Moss"

Minimum string length: 1
type
enum<string> | null

Ingredient category

Available options:
spice,
fining,
water_agent,
herb,
flavor,
other
use
enum<string> | null

When the ingredient is added

Available options:
boil,
mash,
primary,
secondary,
bottling
amount
number | null

Quantity

amount_unit
string
default:g

Unit for amount

Minimum string length: 1
time_minutes
integer | null

Addition time in minutes

sort_order
integer

Display order

Required range: x >= 0

Response

The created other ingredient

id
string<uuid>
read-only

Unique identifier

recipe_id
string<uuid>
read-only

Parent recipe

name
string

Ingredient name

type
enum<string> | null

Ingredient category

Available options:
spice,
fining,
water_agent,
herb,
flavor,
other
use
enum<string> | null

When the ingredient is added

Available options:
boil,
mash,
primary,
secondary,
bottling
amount
number | null

Quantity

amount_unit
string

Unit for amount

time_minutes
integer | null

Addition time in minutes

sort_order
integer

Display order

created_at
string<date-time>
read-only

ISO 8601 timestamp